Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## profiles
Class RoutingTable

    java.lang.Object
      |
      +--profiles.RoutingTable

public class RoutingTable
extends java.lang.Object

La tabella di routing. E' il fulcro del sistema di routing ad-hoc. Attorno a quest'oggetto passivo si può costruire un'oggetto attivo che curi l'aggiornamento della rete e ne stabilisca una politica. Da un punto di vista algoritmico, tutte le azioni sono però già definite all'interno di questa classe.

Version:
  1.0
Author:
  Lorenzo Moretti

Field Summary
`(package private) java.util.Vector` | `listeners`
`int` | `MAX_SEARCH_LEVEL`
`(package private) java.util.Vector` | `neightbours`
`(package private) Device` | `thisDevice`

Constructor Summary
`RoutingTable(Device d)` Crea una RoutingTable per il dispositivo d.

Method Summary
`void` | `addDevice(Device d)` Aggiunge un dispositivo come vicino.
`void` | `addRoutingTableListener(RoutingTableListener rtl)` Aggiunge un listener a questa RoutingTable.
`java.util.Vector` | `getRouteTo(java.lang.String id)` Trova un percorso dal dispotivo corrente fino al dispositivo di destinatione.
`protected java.util.Vector` | `getRouteTo(java.lang.String id, int depth)`
`(package private) void` | `removeCiclicLoop(Device d)` Rimozione dei cicli interni.
`void` | `removeDevice(Device d)` Rimuove un dispositvo dall'elenco dei dispositivi prossimi (raggiungibili con un solo passo).
`void` | `removeRoutingTableListener(RoutingTableListener rtl)` Rimuove un listener da questa RoutingTable.
`java.lang.String` | `toString()` Serializza in una stringa la tabella.
`void` | `update(BasicService bs)` Aggiorna la tabella tramite le informazioni contenute in BasicService.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MAX_SEARCH_LEVEL

    public final int MAX_SEARCH_LEVEL

See Also:
  Constant Field Values

### listeners

    java.util.Vector listeners

### neightbours

    java.util.Vector neightbours

### thisDevice

    Device thisDevice

Constructor Detail

### RoutingTable

    public RoutingTable(Device d)

  Crea una RoutingTable per il dispositivo d.

Parameters:
  `d` - il dispositivo proprietario della RoutingTable

Method Detail

### addDevice

    public void addDevice(Device d)

  Aggiunge un dispositivo come vicino. Automaticamente vengono aggiunti alla routing table tutti gli elementi prossimi al dispositivo aggiunto.

  Parameters:
    `d` -

### removeDevice

    public void removeDevice(Device d)

  Rimuove un dispositvo dall'elenco dei dispositivi prossimi (raggiungibili con un solo passo). Vengono notificati tutti i listener della RoutingTable.

  Parameters:
    `d` - il dispositivo (prossimo) da rimuovere.

### addRoutingTableListener

    public void addRoutingTableListener(RoutingTableListener rtl)

  Aggiunge un listener a questa RoutingTable.

  Parameters:
    `rtl` - il listener

### removeRoutingTableListener

    public void removeRoutingTableListener(RoutingTableListener rtl)

  Rimuove un listener da questa RoutingTable.

  Parameters:
    `rtl` - il listener

### getRouteTo

    public java.util.Vector getRouteTo(java.lang.String id)

  Trova un percorso dal dispotivo corrente fino al dispositivo di destinatione. Il percorso non è necessariamente quello minimo.

  Returns:
    un vettore di Device, l'ultimo dei quali è la destinazione. Se il vettore è vuoto (size = 0), non è stato trovato un percorso.

### getRouteTo

    protected java.util.Vector getRouteTo(java.lang.String id,
                                          int depth)

### update

    public void update(BasicService bs)

  Aggiorna la tabella tramite le informazioni contenute in BasicService.

  Parameters:
    `bs` - il servizio su cui si basa.

### removeCiclicLoop

    void removeCiclicLoop(Device d)

  Rimozione dei cicli interni.

  Parameters:
    `d` -

### toString

    public java.lang.String toString()

  Serializza in una stringa la tabella.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    la tabella in forma di testo.
  See Also:
    `TextMessage`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD